#!/usr/bin/env bash

curl "https://git.sovransystems.com/Sovran_Systems/Software/raw/branch/main/Sovran_SystemsOS_Updater/Updater%20Source%20Files/Intro.md" |
		
zenity --text-info \
		--width=1000 \
		--height=700 \
		--title="Sovran_SystemsOS Updater"


if [[ $? -eq 1 ]]; then
		
		exit 1

else
	
	if ! ssh root@localhost 'flatpak update -y' ; then
		zenity --error
	exit 1
	
	fi
	
		
	if ! ssh root@localhost 'cd /etc/nixos ; nix flake update ; nixos-rebuild switch --impure' ; then
		zenity --error
	exit 1
	
	fi
	
fi

exit 0